Bug 239057 - devel/py-cfn-lint: Update to 0.22.1
Summary: devel/py-cfn-lint: Update to 0.22.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/aws-cloudformation...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-09 10:15 UTC by nork
Modified: 2019-07-21 14:09 UTC (History)
1 user (show)

See Also:


Attachments
py-cfn-lint's patch file. (2.05 KB, patch)
2019-07-09 10:15 UTC, nork
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nork 2019-07-09 10:15:48 UTC
Created attachment 205598 [details]
py-cfn-lint's patch file.

Update to 0.22.1

ChangeLogs:
- Update specs from weird 4.1.0 release
- Update instance types and patches from SSM to date 2019.07.04
- Remove/Add services to region tables based on SSM endpoints
- Update JsonSchem to 3.0 to support he new version 1.12.0 of devel/py-aws-sam-translator
- and others.
Comment 1 commit-hook freebsd_committer 2019-07-21 14:08:05 UTC
A commit references this bug:

Author: kai
Date: Sun Jul 21 14:07:06 UTC 2019
New revision: 507051
URL: https://svnweb.freebsd.org/changeset/ports/507051

Log:
  devel/py-cfn-lint: Update to 0.22.1

  * Remove no longer required patch for setup.py that has been merged by
    upstream.
  * Fix runtime issues when Python 2.7 is used by replacing devel/py-pathlib
    with devel/py-pathlib2 while I'm here.

  Changelog:

  https://github.com/aws-cloudformation/cfn-python-lint/releases/tag/v0.22.1

  PR:		239057
  Submitted by:	nork@ninth-nine.com (maintainer)

Changes:
  head/devel/py-cfn-lint/Makefile
  head/devel/py-cfn-lint/distinfo
  head/devel/py-cfn-lint/files/
Comment 2 Kai Knoblich freebsd_committer 2019-07-21 14:09:07 UTC
Committed, thank you for the patch!